import request from '@/utils/request'

// 行政处罚列表
export function penalizePage(data) {
  return request({
    url: '/enterpriseCredit/penalizePage',
    method: 'post',
    data:data
  })
}
// 行政处罚类型
export function penalizeReasonType(data) {
  return request({
    url: '/enterpriseCredit/penalizeReasonType',
    method: 'post',
    data:data
  })
}

// 经营异常列表
export function abnormalPage(data) {
  return request({
    url: '/enterpriseCredit/abnormalPage',
    method: 'post',
    data:data
  })
}
// 经营异常年份
export function abnormalYears(data) {
  return request({
    url: '/enterpriseCredit/abnormalYears',
    method: 'post',
    data:data
  })
}

// 被执行人列表
export function executedPersonsPage(data) {
  return request({
    url: '/enterpriseCredit/executedPersonsPage',
    method: 'post',
    data:data
  })
}

// 失信被执行人列表
export function executedPage(data) {
  return request({
    url: '/enterpriseCredit/executedPage',
    method: 'post',
    data:data
  })
}

// 裁判文书列表
export function lawsuitsPage(data) {
  return request({
    url: '/enterpriseCredit/lawsuitsPage',
    method: 'post',
    data:data
  })
}
// 裁判文书案由
export function lawsuitsCauseAction(data) {
  return request({
    url: '/enterpriseCredit/lawsuitsCauseAction',
    method: 'post',
    data:data
  })
}
// 裁判文书身份
export function lawsuitsRole(data) {
  return request({
    url: '/enterpriseCredit/lawsuitsRole',
    method: 'post',
    data:data
  })
}

// 法院公告列表
export function noticesPage(data) {
  return request({
    url: '/enterpriseCredit/noticesPage',
    method: 'post',
    data:data
  })
}
// 法院公告类型
export function noticesType(data) {
  return request({
    url: '/enterpriseCredit/noticesType',
    method: 'post',
    data:data
  })
}
// 法院公告身份
export function noticesRole(data) {
  return request({
    url: '/enterpriseCredit/noticesRole',
    method: 'post',
    data:data
  })
}
// 法院公告案由
export function noticesCaseReason(data) {
  return request({
    url: '/enterpriseCredit/noticesCaseReason',
    method: 'post',
    data:data
  })
}

// 开庭公告列表
export function kaitingPage(data) {
  return request({
    url: '/enterpriseCredit/kaitingPage',
    method: 'post',
    data:data
  })
}
// 开庭公告案由
export function kaitingCauseAction(data) {
  return request({
    url: '/enterpriseCredit/kaitingCauseAction',
    method: 'post',
    data:data
  })
}
// 开庭公告当事人身份
export function kaitingPureRole(data) {
  return request({
    url: '/enterpriseCredit/kaitingPureRole',
    method: 'post',
    data:data
  })
}

